VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Properties
VisimBox.Scene.NodeFactory Class Reference

Node factory used for importing / exporting nodes. More...

List of all members.

## Static Public Member Functions
static void | RegisterNodes (Assembly assembly)
| register all PUBLIC node types from assembly
static void | RegisterNodeType (Type t)
| Registers one user type node to node factory for importing.
static Type | GetNodeTypeByName (string name)
| Returns type of the node based on it's name (if it's registered)
static Node | NewNodeFromTypeName (string name)
| creates new node of selected type
static Node | DirectReading (string nodetypename, XmlReader reader)
static Node | ReadXml (XmlReader reader)
| Loads Node from xmlreader. If node is of uknown type, it will be stored as UnknownNode, storing contents of it's xml node as text.
static Node | ImportNodes (string filename, string format=null)
| Creates new ImportedNode and loads it with data from other file.
static bool | ImportToNode (Node node, string filename, string format)
| Loads node from external files and places them to the specified node.
## Properties
static NodeImportSettings | Settings`[get, set]`
| Settings to use for importing.

## Detailed Description

Node factory used for importing / exporting nodes.

## Member Function Documentation

static Node VisimBox.Scene.NodeFactory.DirectReading | ( | string | nodetypename,
|  | XmlReader | reader
| ) |  | `[static]`

static Type VisimBox.Scene.NodeFactory.GetNodeTypeByName | ( | string | name | ) | `[static]`

Returns type of the node based on it's name (if it's registered)

Parameters:

  name | Type name

Returns:
  Type of Node or null

static Node VisimBox.Scene.NodeFactory.ImportNodes | ( | string | filename,
|  | string | format = `null`
| ) |  | `[static]`

Creates new ImportedNode and loads it with data from other file.

Parameters:

  filename | Filename
  format | format of the file

Returns:
  Imported node or null if reading failed

static bool VisimBox.Scene.NodeFactory.ImportToNode | ( | Node | node,
|  | string | filename,
|  | string | format
| ) |  | `[static]`

Loads node from external files and places them to the specified node.

Parameters:

  node | Node to hold loaded data
  filename | File with data
  format | Optionally format of the data

Returns:
  True if load successful

static Node VisimBox.Scene.NodeFactory.NewNodeFromTypeName | ( | string | name | ) | `[static]`

creates new node of selected type

Parameters:

  name | Type name of the node

Returns:
  New node or null if node name is not registered

static Node VisimBox.Scene.NodeFactory.ReadXml | ( | XmlReader | reader | ) | `[static]`

Loads Node from xmlreader. If node is of uknown type, it will be stored as UnknownNode, storing contents of it's xml node as text.

Parameters:

  reader | XML reader

Returns:
  new node

static void VisimBox.Scene.NodeFactory.RegisterNodes | ( | Assembly | assembly | ) | `[static]`

register all PUBLIC node types from assembly

Parameters:

  assembly | Assembly containg nodes

static void VisimBox.Scene.NodeFactory.RegisterNodeType | ( | Type | t | ) | `[static]`

Registers one user type node to node factory for importing.

Parameters:

  type | Node type (must be class inheriting from Node)

## Property Documentation

NodeImportSettings VisimBox.Scene.NodeFactory.Settings`[static, get, set]`

Settings to use for importing.

The documentation for this class was generated from the following file:

- NodeFactory.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events